Package org.h2.samples

# Class DirectInsert

java.lang.Object
org.h2.samples.DirectInsert

public class DirectInsert extends Object
Demonstrates the benefit of using the CREATE TABLE ... AS SELECT optimization.

## Constructor Summary

Constructors
Constructor
Description
`DirectInsert()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
This method is called when executing this sample application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectInsert

public DirectInsert()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this sample application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `Exception` - on failure